sabit Error: PHP'niz installWordPress için gerekli olan MySQL uzantısı eksik görünüyor

"PHP'niz installWordPress için gerekli olan MySQL uzantısı eksik görünüyor"Birçok blog ve web sitesi sahibinin karşılaştığı bir hatadır. WordPress.
Bu endişe kaynağı değil. MySQL uzantısının olmaması PHP'den, PHP uzantılarının kurulum paketinin bir parçası olmadığı sıfırdan, VPS veya özel sunuculardan kurulan işletim sistemleri için tipiktir. Bu sorun her ikisinde de mevcuttur Ubuntu ve CentOS. Bu senaryoda, sorun bir PHP güncellemesi ve modülün yüklenmesi ile çok basit bir şekilde çözülür "php-mysql".
PHP'yi güncelleyin ve Ubuntu'ya MySQL uzantısını yükleyin

apt-get update
apt-get install php-mysql

PHP'yi güncelleyin ve MySQL uzantısını CentOS'a yükleyin

yum update
yum install php70w-mysql

Bu adımdan sonra restartApache hizmetine sahipsiniz veya nginx.

PHP'de MySQL uzantısı olmasına rağmen, WordPress'te oluşturulan bir blogun “PHP'niz” hatasını gösterdiği senaryoyla da karşılaştım. installWordPress için gerekli olan MySQL uzantısı eksik görünüyor ”. Çoğu zaman, WordPress yüklenirken hata oluşur. Ancak bu sefer, birkaç yıldır aktif olan bir blogda göründü.
Bu durumda, sorunun PHP modüllerinde değil, artık PHP 7.4.4RC1 ile uyumlu olmayan çok eski WordPress sürümünde olduğunu buldum. WordPress'in en son sürüme basit bir şekilde yükseltilmesi, hatayı çözdü.

Teknoloji konusunda tutkulu, işletim sistemleri hakkında test etmeyi ve öğreticiler yazmayı seviyorum macOSLinux Windows, WordPress, WooCommerce ve LEMP web sunucusu yapılandırması hakkında (Linux, NGINX, MySQL ve PHP). üzerine yazıyorum StealthSettings.com'da 2006'dan beri ve birkaç yıl sonra, ekosistemdeki cihazlar hakkında iHowTo.Tips eğitimleri ve haberleri yazmaya başladım. Apple: iPhoneiPad, Apple İzle, HomePod, iMac, MacBook, AirPod'lar ve aksesuarlar.

Leave a Comment